/*
 * Copyright 2013 Andy Boothe
 * 
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 * 
 *        http://www.apache.org/licenses/LICENSE-2.0
 * 
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package com.sigpwned.jsonification.manipulation.parse;

import com.sigpwned.jsonification.JsonProcessor;
import com.sigpwned.jsonification.manipulation.JsonParser;
import com.sigpwned.jsonification.model.JsonValue;
import com.sigpwned.jsonification.processing.BuildingJsonProcessor;

public class DefaultJsonParser extends JsonParser<JsonValue> {
	public DefaultJsonParser() {
		this(new BuildingJsonProcessor());
	}

	public DefaultJsonParser(JsonProcessor<JsonValue> processor) {
		super(processor);
	}
}
